# How to use

### Method 1: No Code - Creating Verification Through Workplace

1. **Navigate to the Applicants Page:**
   * Go to the "Verification" section and then select "Applicants."
2. **Create a New Verification:**
   * Fill in the required details:
     * **Application:** Choose the relevant application.
     * **Flow:** Select the desired flow.
     * **ExternalUserId:** Provide the external user ID (unique userID from your system).
     * **Language:** Set the preferred language (e.g., `lang`).
     * **Token Lifetime:** Specify the token lifetime.
3. **Generate Verification Link:**
   * After providing the necessary information, our system will generate a link.
   * Share this link with the user to grant them access to the verification process.

### Method 2: Automated - Creating Verification Through SDK

To automate the verification process, you can use our SDK. This method involves generating a token on your backend and initializing the SDK with the token as a parameter.

#### Steps for Automated Verification

1. **Create a Token:**
   * Generate a token on your backend. This step should be done securely to ensure the integrity and security of the verification process. More details can find in [Open API](/home/integration/open-api.md) section

```javascript
const axios = require('axios');

async function createToken() {
    const response = await axios.post('https://billing.elkyc.com/api/public/verification', {
        flowName: 'yourFlowName',
        externalUserId: 'user123',
        ttl: 3600,
        locale: 'uk'
    }, {
        headers: {
            'x-private-app-key': 'yourPrivateAppKey'
        }
    });
    return response.data.accessToken;
}
```

1. [**Initialize the SDK**](/home/integration/usage.md)**:**
   * Use the generated token to initialize the SDK.
   * Pass the token as a parameter when setting up the SDK.

### Private Application Key

In order to use the public api you will need to obtain a private key.

You can retrieve your **Private Application Key** from `Applications > Private app key`. &#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elkyc.com/home/integration/how-to-use.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
